// PPageID.cpp : implementation file
//

#include "stdafx.h"
#include "TESPCD.h"
#include "PPageID.h"
#include "MainFrm.h"
#include "TESPCDDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPPageID property page

IMPLEMENT_DYNCREATE(CPPageID, CPropertyPage)

CPPageID::CPPageID() : CPropertyPage(CPPageID::IDD)
{
	//{{AFX_DATA_INIT(CPPageID)
	m_ACTI = FALSE;
	m_ALCH = FALSE;
	m_APPA = FALSE;
	m_ARMO = FALSE;
	m_BODY = FALSE;
	m_BOOK = FALSE;
	m_BSGN = FALSE;
	m_CLAS = FALSE;
	m_CLOT = FALSE;
	m_CONT = FALSE;
	m_CREA = FALSE;
	m_DOOR = FALSE;
	m_INGR = FALSE;
	m_ENCH = FALSE;
	m_GLOB = FALSE;
	m_GMST = FALSE;
	m_LEVC = FALSE;
	m_LEVI = FALSE;
	m_LIGH = FALSE;
	m_MGEF = FALSE;
	m_MISC = FALSE;
	m_NPC_ = FALSE;
	m_RACE = FALSE;
	m_REGN = FALSE;
	m_REPA = FALSE;
	m_SCPT = FALSE;
	m_SKIL = FALSE;
	m_SNDG = FALSE;
	m_SOUN = FALSE;
	m_SPEL = FALSE;
	m_STAT = FALSE;
	m_WEAP = FALSE;
	m_FACT = FALSE;
	m_LOCK = FALSE;
	m_PROB = FALSE;
	m_LAND = FALSE;
	m_INFO = FALSE;
	m_PGRD = FALSE;
	//}}AFX_DATA_INIT
}

CPPageID::~CPPageID()
{
}

void CPPageID::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPPageID)
	DDX_Check(pDX, IDC_ACTI, m_ACTI);
	DDX_Check(pDX, IDC_ALCH, m_ALCH);
	DDX_Check(pDX, IDC_APPA, m_APPA);
	DDX_Check(pDX, IDC_ARMO, m_ARMO);
	DDX_Check(pDX, IDC_BODY, m_BODY);
	DDX_Check(pDX, IDC_BOOK, m_BOOK);
	DDX_Check(pDX, IDC_BSGN, m_BSGN);
	DDX_Check(pDX, IDC_CLAS, m_CLAS);
	DDX_Check(pDX, IDC_CLOT, m_CLOT);
	DDX_Check(pDX, IDC_CONT, m_CONT);
	DDX_Check(pDX, IDC_CREA, m_CREA);
	DDX_Check(pDX, IDC_DOOR, m_DOOR);
	DDX_Check(pDX, IDC_INGR, m_INGR);
	DDX_Check(pDX, IDC_ENCH, m_ENCH);
	DDX_Check(pDX, IDC_GLOB, m_GLOB);
	DDX_Check(pDX, IDC_GMST, m_GMST);
	DDX_Check(pDX, IDC_LEVC, m_LEVC);
	DDX_Check(pDX, IDC_LEVI, m_LEVI);
	DDX_Check(pDX, IDC_LIGH, m_LIGH);
	DDX_Check(pDX, IDC_MGEF, m_MGEF);
	DDX_Check(pDX, IDC_MISC, m_MISC);
	DDX_Check(pDX, IDC_NPC_, m_NPC_);
	DDX_Check(pDX, IDC_RACE, m_RACE);
	DDX_Check(pDX, IDC_REGN, m_REGN);
	DDX_Check(pDX, IDC_REPA, m_REPA);
	DDX_Check(pDX, IDC_SCPT, m_SCPT);
	DDX_Check(pDX, IDC_SKIL, m_SKIL);
	DDX_Check(pDX, IDC_SNDG, m_SNDG);
	DDX_Check(pDX, IDC_SOUN, m_SOUN);
	DDX_Check(pDX, IDC_SPEL, m_SPEL);
	DDX_Check(pDX, IDC_STAT, m_STAT);
	DDX_Check(pDX, IDC_WEAP, m_WEAP);
	DDX_Check(pDX, IDC_FACT, m_FACT);
	DDX_Check(pDX, IDC_LOCK, m_LOCK);
	DDX_Check(pDX, IDC_PROB, m_PROB);
	DDX_Check(pDX, IDC_LAND, m_LAND);
	DDX_Check(pDX, IDC_INFO, m_INFO);
	DDX_Check(pDX, IDC_PGRD, m_PGRD);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPPageID, CPropertyPage)
	//{{AFX_MSG_MAP(CPPageID)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPPageID message handlers

void CPPageID::OnOK() 
{
	// TODO: Add your specialized code here and/or call the base class
	CTESPCDDoc* pDoc = (CTESPCDDoc*)((CMainFrame*)AfxGetMainWnd())->GetActiveDocument();

	UpdateData(TRUE);
	
	pDoc->m_ConflictCheckTypes.ACTI = m_ACTI;
	pDoc->m_ConflictCheckTypes.ALCH = m_ALCH;
	pDoc->m_ConflictCheckTypes.APPA = m_APPA;
	pDoc->m_ConflictCheckTypes.ARMO = m_ARMO;
	pDoc->m_ConflictCheckTypes.BODY = m_BODY;
	pDoc->m_ConflictCheckTypes.BOOK = m_BOOK;
	pDoc->m_ConflictCheckTypes.BSGN = m_BSGN;
	pDoc->m_ConflictCheckTypes.CLAS = m_CLAS;
	pDoc->m_ConflictCheckTypes.CLOT = m_CLOT;
	pDoc->m_ConflictCheckTypes.CONT = m_CONT;
	pDoc->m_ConflictCheckTypes.CREA = m_CREA;
	pDoc->m_ConflictCheckTypes.DOOR = m_DOOR;
	pDoc->m_ConflictCheckTypes.INFO = m_INFO;
	pDoc->m_ConflictCheckTypes.INGR = m_INGR;
	pDoc->m_ConflictCheckTypes.ENCH = m_ENCH;
	pDoc->m_ConflictCheckTypes.FACT = m_FACT;
	pDoc->m_ConflictCheckTypes.GLOB = m_GLOB;
	pDoc->m_ConflictCheckTypes.GMST = m_GMST;
	pDoc->m_ConflictCheckTypes.LAND = m_LAND;
	pDoc->m_ConflictCheckTypes.LEVC = m_LEVC;
	pDoc->m_ConflictCheckTypes.LEVI = m_LEVI;
	pDoc->m_ConflictCheckTypes.LIGH = m_LIGH;
	pDoc->m_ConflictCheckTypes.LOCK = m_LOCK;
	pDoc->m_ConflictCheckTypes.MGEF = m_MGEF;
	pDoc->m_ConflictCheckTypes.MISC = m_MISC;
	pDoc->m_ConflictCheckTypes.NPC_ = m_NPC_;
	pDoc->m_ConflictCheckTypes.PGRD = m_PGRD;
	pDoc->m_ConflictCheckTypes.PROB = m_PROB;
	pDoc->m_ConflictCheckTypes.RACE = m_RACE;
	pDoc->m_ConflictCheckTypes.REGN = m_REGN;
	pDoc->m_ConflictCheckTypes.REPA = m_REPA;
	pDoc->m_ConflictCheckTypes.SCPT = m_SCPT;
	pDoc->m_ConflictCheckTypes.SKIL = m_SKIL;
	pDoc->m_ConflictCheckTypes.SNDG = m_SNDG;
	pDoc->m_ConflictCheckTypes.SOUN = m_SOUN;
	pDoc->m_ConflictCheckTypes.SPEL = m_SPEL;
	pDoc->m_ConflictCheckTypes.STAT = m_STAT;
	pDoc->m_ConflictCheckTypes.WEAP = m_WEAP;
	
	CPropertyPage::OnOK();
}

BOOL CPPageID::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	// TODO: Add extra initialization here
	CTESPCDDoc* pDoc = (CTESPCDDoc*)((CMainFrame*)AfxGetMainWnd())->GetActiveDocument();

	m_ACTI = pDoc->m_ConflictCheckTypes.ACTI;
	m_ALCH = pDoc->m_ConflictCheckTypes.ALCH;
	m_APPA = pDoc->m_ConflictCheckTypes.APPA;
	m_ARMO = pDoc->m_ConflictCheckTypes.ARMO;
	m_BODY = pDoc->m_ConflictCheckTypes.BODY;
	m_BOOK = pDoc->m_ConflictCheckTypes.BOOK;
	m_BSGN = pDoc->m_ConflictCheckTypes.BSGN;
	m_CLAS = pDoc->m_ConflictCheckTypes.CLAS;
	m_CLOT = pDoc->m_ConflictCheckTypes.CLOT;
	m_CONT = pDoc->m_ConflictCheckTypes.CONT;
	m_CREA = pDoc->m_ConflictCheckTypes.CREA;
	m_DOOR = pDoc->m_ConflictCheckTypes.DOOR;
	m_INFO = pDoc->m_ConflictCheckTypes.INFO;
	m_INGR = pDoc->m_ConflictCheckTypes.INGR;
	m_ENCH = pDoc->m_ConflictCheckTypes.ENCH;
	m_FACT = pDoc->m_ConflictCheckTypes.FACT;
	m_GLOB = pDoc->m_ConflictCheckTypes.GLOB;
	m_GMST = pDoc->m_ConflictCheckTypes.GMST;
	m_LAND = pDoc->m_ConflictCheckTypes.LAND;
	m_LEVC = pDoc->m_ConflictCheckTypes.LEVC;
	m_LEVI = pDoc->m_ConflictCheckTypes.LEVI;
	m_LIGH = pDoc->m_ConflictCheckTypes.LIGH;
	m_LOCK = pDoc->m_ConflictCheckTypes.LOCK;
	m_MGEF = pDoc->m_ConflictCheckTypes.MGEF;
	m_MISC = pDoc->m_ConflictCheckTypes.MISC;
	m_NPC_ = pDoc->m_ConflictCheckTypes.NPC_;
	m_PGRD = pDoc->m_ConflictCheckTypes.PGRD;
	m_PROB = pDoc->m_ConflictCheckTypes.PROB;
	m_RACE = pDoc->m_ConflictCheckTypes.RACE;
	m_REGN = pDoc->m_ConflictCheckTypes.REGN;
	m_REPA = pDoc->m_ConflictCheckTypes.REPA;
	m_SCPT = pDoc->m_ConflictCheckTypes.SCPT;
	m_SKIL = pDoc->m_ConflictCheckTypes.SKIL;
	m_SNDG = pDoc->m_ConflictCheckTypes.SNDG;
	m_SOUN = pDoc->m_ConflictCheckTypes.SOUN;
	m_SPEL = pDoc->m_ConflictCheckTypes.SPEL;
	m_STAT = pDoc->m_ConflictCheckTypes.STAT;
	m_WEAP = pDoc->m_ConflictCheckTypes.WEAP;

	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CPPageID::OnCancel() 
{
	UpdateData(FALSE);

	CPropertyPage::OnCancel();
}
