#if !defined(AFX_REPAIRTOOL_H__AB3207FF_7D9D_4FC3_B5D8_58693A4186E1__INCLUDED_)
#define AFX_REPAIRTOOL_H__AB3207FF_7D9D_4FC3_B5D8_58693A4186E1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RepairTool.h : header file
//

#include "TESPCDDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CRepairToolDlg dialog

class CRepairToolDlg : public CDialog
{
// Construction
public:
	void GetRepairPlugin(CString &strEspFile, CString &strEspPath);
	void CRepairToolDlg::SetData(CString strEspFile, CString strEspPath, CTESPCDDoc * pDoc);
	CStringList * GetEspPathList();
	CStringList * GetEspFileList();
	
	CRepairToolDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CRepairToolDlg)
	enum { IDD = IDD_REPAIRDIALOG };
	CListBox	m_EspListBox;
	CString	m_strRepairEsp;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRepairToolDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CStringList m_EspFileList;
	CStringList m_EspPathList;
	CString m_strDialogEspFile;
	CString m_strDialogEspPath;
	CTESPCDDoc* m_pDoc;
	// Generated message map functions
	//{{AFX_MSG(CRepairToolDlg)
	afx_msg void OnAddactive();
	afx_msg void OnBrowse();
	afx_msg void OnBrowseesps();
	afx_msg void OnClearlist();
	afx_msg void OnCreatenew();
	virtual BOOL OnInitDialog();
	afx_msg void OnDeleteexist();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnListcontextremove();
	afx_msg void OnListcontextadd();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REPAIRTOOL_H__AB3207FF_7D9D_4FC3_B5D8_58693A4186E1__INCLUDED_)
