#if !defined(AFX_GRIDVIEW_H__8BE1A13F_BB1F_4144_A8B2_07D19A0B7266__INCLUDED_)
#define AFX_GRIDVIEW_H__8BE1A13F_BB1F_4144_A8B2_07D19A0B7266__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GridView.h : header file
//

/////////////////////////////////////////////
//  GridView.h : header file
//
//	Base View Class for a the Grid Control.
//	Derive and Override OnInitialUpdate to Customize the Control
/////////////////////////////////////////////

#include "TESPCDDoc.h"
#include ".\GridCtrl\GridCtrl.h"

/////////////////////////////////////////////////////////////////////////////
// CGridView view

class CGridView : public CView
{
protected:
	CGridView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CGridView)

// Attributes
public:
	CTESPCDDoc* GetDocument();
	CGridCtrl* m_pGridCtrl;	// Main Grid Control

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGridView)
	public:
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrintPreview(CDC* pDC, CPrintInfo* pInfo, POINT point, CPreviewView* pView);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CGridView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CGridView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG
inline CTESPCDDoc* CGridView::GetDocument()
   { return (CTESPCDDoc*)m_pDocument; }
#endif


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRIDVIEW_H__8BE1A13F_BB1F_4144_A8B2_07D19A0B7266__INCLUDED_)
