// ViewFile.cpp : implementation file
//

#include "stdafx.h"
#include "tespcd.h"
#include "ViewFileDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CViewFileDlg dialog


CViewFileDlg::CViewFileDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CViewFileDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CViewFileDlg)
	m_iFileType = -1;
	m_iViewMode = -1;
	m_strChosenFile = _T("");
	//}}AFX_DATA_INIT
}


void CViewFileDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CViewFileDlg)
	DDX_Control(pDX, IDC_VIEWFILEGLOB, m_cGlobalView);
	DDX_Control(pDX, IDC_VF_CHOOSEFILE, m_cChooseFile);
	DDX_Radio(pDX, IDC_ESPVIEWFILE, m_iFileType);
	DDX_Radio(pDX, IDC_VIEWFILEGLOB, m_iViewMode);
	DDX_CBString(pDX, IDC_VF_CHOOSEFILE, m_strChosenFile);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CViewFileDlg, CDialog)
	//{{AFX_MSG_MAP(CViewFileDlg)
	ON_BN_CLICKED(IDC_ESPVIEWFILE, OnEspviewfile)
	ON_BN_CLICKED(IDC_ESMVIEWFILE, OnEsmviewfile)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CViewFileDlg message handlers

BOOL CViewFileDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_iFileType = 0;
	m_iViewMode = 1;
	UpdateData(FALSE);

	OnEspviewfile();
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CViewFileDlg::AddEsmFile(CString strFile)
{
	m_EsmArray.Add(strFile);
}

void CViewFileDlg::AddEspFile(CString strFile)
{
	m_EspArray.Add(strFile);
}

void CViewFileDlg::OnEspviewfile() 
{
	m_cChooseFile.ResetContent();
	for(int i = 0;i < m_EspArray.GetSize(); i++)
	{
		m_cChooseFile.AddString(m_EspArray.GetAt(i));
	}

	m_cGlobalView.EnableWindow(TRUE);
}

void CViewFileDlg::OnEsmviewfile() 
{
	m_cChooseFile.ResetContent();
	for(int i = 0;i < m_EsmArray.GetSize(); i++)
	{
		m_cChooseFile.AddString(m_EsmArray.GetAt(i));
	}

	m_cGlobalView.EnableWindow(FALSE);
}
